package cn.reghao.autodop.dmaster.rbac.service;

import cn.reghao.autodop.dmaster.rbac.model.po.User;
import cn.reghao.autodop.dmaster.rbac.model.dto.UserInfo;
import cn.reghao.autodop.dmaster.rbac.model.dto.UserRole;

/**
 * @author reghao
 * @date 2020-06-19 16:36:53
 */
public interface UserService {
    User getUser(String username);
    void createUser(User user);
    void modifyUserPassword(Integer userId, String newPassword);
    void modifyUserInfo(UserInfo userInfo);
    void setUserRoles(UserRole userRole);
    void setUserStatus(Integer userId, Boolean enable);
    void deleteUser(Integer userId);
}
